<template>
	<div class="statistics-center-smart-visit-container layout-padding">
		<div class="layout-padding-auto layout-padding-view pd20">
			<div class="table-search-content">
				<el-form :model="state.queryParams" ref="ruleFormRef" @submit.native.prevent inline>
					<el-form-item prop="crTime">
						<statistical-time v-model="state.queryParams.crTime" @change="handleQuery" ref="statisticalTimeRef" :disabled="state.loading" />
					</el-form-item>
					<el-form-item>
						<el-button type="primary" @click="handleQuery" :loading="state.loading"> <SvgIcon name="ele-Search" class="mr5" />查询 </el-button>
						<el-button @click="resetQuery(ruleFormRef)" class="default-button" :loading="state.loading">
							<SvgIcon name="ele-Refresh" class="mr5" />重置
						</el-button>
					</el-form-item>
				</el-form>
			</div>
			<div style="overflow: hidden; width: 100%; height: 100%; flex: 1">
				<vxe-grid v-bind="gridOptions"> </vxe-grid>
			</div>
		</div>
	</div>
</template>
<script setup lang="tsx" name="statisticsCenterSmartVisit">
import { defineAsyncComponent, onMounted, reactive, ref } from 'vue';
import { FormInstance } from 'element-plus';
import { defaultDate } from '@/utils/constants';
import Other from '@/utils/other';
import { centerIntelligent } from '@/api/statistics/center';

const StatisticalTime = defineAsyncComponent(() => import('@/components/StatisticalTime/index.vue')); // 日期类型选择组件
// 定义变量内容
const ruleFormRef = ref<RefType>(); // 表单ref
const state = reactive<any>({
	queryParams: {
		// 查询条件
		crTime: defaultDate, // 时间默认今天开始到今天结束
	},
	loading: false, // 加载
	tableData: [],
	total: 0, // 总数
});
const requestParams = ref<EmptyObjectType>({});
const gridOptions = reactive<any>({
	loading: false,
	border: true,
	showOverflow: true,
	printConfig: {},
	columnConfig: {
		resizable: true,
	},
	scrollY: {
		enabled: true,
		gt: 100
	},
	toolbarConfig: {
		zoom: true,
		custom: true,
		refresh: {
			queryMethod: () => {
				queryList();
			},
		},
	},
	customConfig: {
		storage: true
	},
	id: 'statisticsCenterSmartVisit',
	rowConfig: { isHover: true, height: 30,isCurrent:true,useKey:true },
	height: 'auto',
	columns: [
		{
			title:'智能回访总量',
			field: 'aiVisitCount',
		},
		{
			title:'智能回访有效量',
			field: 'aiVisitSuccessCount',
		},
		{
			title:'智能回访无效量',
			align:'center',
			children:[
				{
					title:"人工待复核量",
					field: 'aiVisitArtificialReviewCount',
				},{
					title:"人工电话复核回访量",
					field: 'aiVisitCallReviewCount',
				},{
					title:"人工手动复核填写量",
					field: 'aiVisitHandReviewCount',
				},
			]
		}
	],
	data: [],
});
/** 搜索按钮操作 */
const handleQuery = () => {
	// state.queryParams.PageIndex = 1;
	queryList();
};
/** 获取列表 */
const queryList = () => {
	state.loading = true;
	gridOptions.loading = true;
	requestParams.value = Other.deepClone(state.queryParams);
	requestParams.value.StartTime = state.queryParams.crTime === null ? null : state.queryParams.crTime[0];
	requestParams.value.EndTime = state.queryParams.crTime === null ? null : state.queryParams.crTime[1];
	Reflect.deleteProperty(requestParams.value, 'crTime');
	centerIntelligent(requestParams.value)
		.then((res: any) => {
			gridOptions.data = [res.result]
			state.loading = false;
			gridOptions.loading = false;
		})
		.catch(() => {
			state.loading = false;
			gridOptions.loading = false;
		});
};
/** 重置按钮操作 */
const statisticalTimeRef = ref<RefType>();
const resetQuery = (formEl: FormInstance | undefined) => {
	if (!formEl) return;
	formEl.resetFields();
	statisticalTimeRef.value.reset();
	queryList();
};
onMounted(() => {
	queryList();
});
</script>
